## javax.servlet.http
Interface Part

    public interface Part

This class represents a part or form item that was received within a `multipart/form-data` POST request.

Since:
  Servlet 3.0

Method Summary
`void` `delete()` Deletes the underlying storage for a file item, including deleting any associated temporary disk file.
`String` `getContentType()` Gets the content type of this part.
`String` `getHeader(String name)` Returns the value of the specified mime header as a `String`.
`Collection<String>` `getHeaderNames()` Gets the header names of this Part.
`Collection<String>` `getHeaders(String name)` Gets the values of the Part header with the given name.
`InputStream` `getInputStream()` Gets the content of this part as an `InputStream`
`String` `getName()` Gets the name of this part
`long` `getSize()` Returns the size of this fille.
`void` `write(String fileName)` A convenience method to write this uploaded item to disk.

Method Detail

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Gets the content of this part as an `InputStream`

  Returns:
    The content of this part as an `InputStream`
  Throws:
    `IOException` - If an error occurs in retrieving the contet as an `InputStream`

### getContentType

    String getContentType()

  Gets the content type of this part.

  Returns:
    The content type of this part.

### getName

    String getName()

  Gets the name of this part

  Returns:
    The name of this part as a `String`

### getSize

    long getSize()

  Returns the size of this fille.

  Returns:
    a `long` specifying the size of this part, in bytes.

### write

    void write(String fileName)
               throws IOException

  A convenience method to write this uploaded item to disk.

  This method is not guaranteed to succeed if called more than once for the same part. This allows a particular implementation to use, for example, file renaming, where possible, rather than copying all of the underlying data, thus gaining a significant performance benefit.

  Parameters:
    `fileName` - the name of the file to which the stream will be written. The file is created relative to the location as specified in the MultipartConfig
  Throws:
    `IOException` - if an error occurs.

### delete

    void delete()
                throws IOException

  Deletes the underlying storage for a file item, including deleting any associated temporary disk file.

  Throws:
    `IOException` - if an error occurs.

### getHeader

    String getHeader(String name)

  Returns the value of the specified mime header as a `String`. If the Part did not include a header of the specified name, this method returns `null`. If there are multiple headers with the same name, this method returns the first header in the part. The header name is case insensitive. You can use this method with any request header.

  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    a `String` containing the value of the requested header, or `null` if the part does not have a header of that name

### getHeaders

    Collection<String> getHeaders(String name)

  Gets the values of the Part header with the given name.

  Any changes to the returned `Collection` must not affect this `Part`.

  Part header names are case insensitive.

  Parameters:
    `name` - the header name whose values to return
  Returns:
    a (possibly empty) `Collection` of the values of the header with the given name

### getHeaderNames

    Collection<String> getHeaderNames()

  Gets the header names of this Part.

  Some servlet containers do not allow servlets to access headers using this method, in which case this method returns `null`

  Any changes to the returned `Collection` must not affect this `Part`.

  Returns:
    a (possibly empty) `Collection` of the header names of this Part

Copyright © 2012 GlassFish Community. All Rights Reserved.